## Pré-requis

- Récupérer le binaire TailwindCSS : https://tailwindcss.com/blog/standalone-cli

## Exécution

- Lancer tailwindcss en mode watch dans un terminal : 
```bash
./tailwindcss -i css/input.css -o assets/css/style.css --watch
```

- Lancer le serveur web dans un autre terminal :
```bash
cargo run --bin app
```

## L'auto-reload

Pour permettre au projet de s'auto-recharger lors du développement, nous avons besoin de 2 librairies :

```bash
cargo install cargo-watch systemfd
```

Pour recompiler automatiquement le serveur lors de changement :

```bash
systemfd --no-pid -s http::3000 -- cargo watch -x 'run --bin app'
```
